﻿.btn-social-google {
    color: #fff;
    background-color: #dd4b39;
    border-color: rgba(0,0,0,0.2);
}

    .btn-social-google > :first-child {
        position: absolute !important;
        left: 0;
        top: 0 !important;
        bottom: 0;
        width: 32px;
        line-height: 37px;
        font-size: 1.6em !important;
        text-align: center;
        border-right: 1px solid rgba(0,0,0,0.2);
        color: white;
    }


.btn-social-microsoft {
    color: #fff;
    background-color: #2672ec;
    border-color: rgba(0,0,0,0.2);
}

    .btn-social-microsoft > :first-child {
        position: absolute !important;
        left: 0;
        top: 0 !important;
        bottom: 0;
        width: 32px;
        line-height: 37px;
        font-size: 1.6em !important;
        text-align: center;
        border-right: 1px solid rgba(0,0,0,0.2);
    }

.astyle {
    color: white !important;
}

.fa-microsoft:before {
    content: "\f17a";
}

.login-page {
    background-color: #8BC34A;
}

.btn-table {
    color: #333;
    padding: 3px 7px !important;
    width: 30px !important;
    height: 30px !important;
}

.log-content {
    white-space: pre-wrap;
    font-family: monospace;
}

.header-group {
    width: 100%;
}

    .header-group .form-line {
        display: inline-block;
        width: 100%;
        border-bottom: 1px solid #ddd;
        position: relative;
    }

        .header-group .form-line:after {
            content: '';
            position: absolute;
            left: 0;
            width: 100%;
            bottom: -2px;
            -moz-transform: scaleX(0);
            -ms-transform: scaleX(0);
            -o-transform: scaleX(0);
            -webkit-transform: scaleX(0);
            transform: scaleX(0);
            -moz-transition: 0.25s ease-in;
            -o-transition: 0.25s ease-in;
            -webkit-transition: 0.25s ease-in;
            transition: 0.25s ease-in;
            border-bottom: 2px solid #1f91f3;
        }

        .header-group .form-line + .input-group-addon {
            padding-right: 0;
            padding-left: 10px;
        }

    .header-group .help-info {
        float: right;
        font-size: 12px;
        margin-top: 5px;
        color: #999;
    }

    .header-group label.error {
        font-size: 12px;
        display: block;
        margin-top: 5px;
        font-weight: normal;
        color: #f44336;
    }

    .header-group .form-line.error:after {
        border-bottom: 2px solid #f44336;
    }

    .header-group .form-line.success:after {
        border-bottom: 2px solid #4caf50;
    }

    .header-group .form-line.warning:after {
        border-bottom: 2px solid #ffc107;
    }

    .header-group .form-line.focused:after {
        -moz-transform: scaleX(1);
        -ms-transform: scaleX(1);
        -o-transform: scaleX(1);
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
    }

    .header-group .form-line.focused .form-label {
        bottom: 25px;
        left: 0;
        font-size: 12px;
    }

    .header-group .input-group-addon {
        border: none;
        background-color: transparent;
        padding-left: 0;
        font-weight: bold;
    }

        .header-group .input-group-addon .material-icons {
            font-size: 18px;
            color: #555;
        }

    .header-group input[type="text"], .header-group .form-control {
        border: none;
        box-shadow: none;
        padding-left: 0;
    }

        .header-group .form-control:focus {
            -webkit-box-shadow: none !important;
            -moz-box-shadow: none !important;
            -ms-box-shadow: none !important;
            box-shadow: none !important;
        }

        .header-group .input-group {
            margin-bottom: 0px;
        }

.form-group label.warning {
    font-size: 12px;
    display: block;
    margin-top: 5px;
    font-weight: normal;
    color: #FFC107;
}

.input-group label.warning {
    font-size: 12px;
    display: block;
    margin-top: 5px;
    font-weight: normal;
    color: #FFC107;
}